作者 主題: [問題]請問有關Mysql 4.1 與Phpmyadmin  (閱讀 2183 次)

0 會員 與 1 訪客 正在閱讀本文。

jwtialbert

  • 憂鬱的高中生
  • ***
  • 文章數: 99
    • 檢視個人資料
[問題]請問有關Mysql 4.1 與Phpmyadmin
« 於: 2005-08-19 14:16 »
以下是所安裝的套件
****Mysql****
MySQL-server-4.1.13-0.i386
MySQL-client-4.1.13-0.i386
MySQL-shared-4.1.13-0.i386

****PHP*****
php-4.3.11-2.6.i386

****phpMyAdmin****
phpMyAdmin 2.6.3-pl1

------------------------

情況:
1.Mysql運作正常
2.php運作正常
3.Apache運作正常

問題:
當連結至phpMyAdmin時,出現無法連結Mysql的問題,結果想到忘了裝php-mysql套件,抓了之後,準備安裝時出現libmyclient.so.10缺少,可是我不是已經裝了『MySQL-shared-4.1.13-0.i386』這個套件了嗎?這個函式庫不是包含在這裡面嗎?
使用apt-get 安裝的結果版本都是3.XX.XX版,所以不打算用apt安裝。
光碟內的也都是舊版本

請問我該怎麼解決?

kenduest

  • 酷!學園 學長們
  • 俺是博士!
  • *****
  • 文章數: 3675
    • 檢視個人資料
    • http://kenduest.sayya.org
Re: [問題]請問有關Mysql 4.1 與Phpmyadmin
« 回覆 #1 於: 2005-08-19 14:19 »
引述: "jwtialbert"
以下是所安裝的套件
****Mysql****
MySQL-server-4.1.13-0.i386
MySQL-client-4.1.13-0.i386
MySQL-shared-4.1.13-0.i386

****PHP*****
php-4.3.11-2.6.i386

****phpMyAdmin****
phpMyAdmin 2.6.3-pl1

------------------------

情況:
1.Mysql運作正常
2.php運作正常
3.Apache運作正常

問題:
當連結至phpMyAdmin時,出現無法連結Mysql的問題,結果想到忘了裝php-mysql套件,抓了之後,準備安裝時出現libmyclient.so.10缺少,可是我不是已經裝了『MySQL-shared-4.1.13-0.i386』這個套件了嗎?這個函式庫不是包含在這裡面嗎?
使用apt-get 安裝的結果版本都是3.XX.XX版,所以不打算用apt安裝。
光碟內的也都是舊版本

請問我該怎麼解決?


原本的 php-mysql 是連結到 mysql 3.x shared library 上,所以你得自己抓取 php-mysql source rpm pacakge 重新打包編譯一份成為使用 mysql 4.x 版本的 package。

==
I am kenduest - 小州

my website: http://kenduest.sayya.org/